# timepointsmove.cpp File Reference

Move the Time Points File. More...

`#include "timepointsmove.h"`
`#include <synfig/layer_pastecanvas.h>`
`#include <synfigapp/canvasinterface.h>`
`#include <synfig/valuenode_dynamiclist.h>`
`#include <synfig/valuenode_animated.h>`
`#include "activepointset.h"`
`#include "waypointset.h"`
`#include <synfigapp/timegather.h>`
`#include <typeinfo>`
`#include <synfigapp/general.h>`

## Functions

| ACTION_INIT (Action::TimepointsMove)
| ACTION_SET_NAME (Action::TimepointsMove,"TimepointsMove")
| ACTION_SET_LOCAL_NAME (Action::TimepointsMove, N_("Move Time Points"))
| ACTION_SET_TASK (Action::TimepointsMove,"move")
| ACTION_SET_CATEGORY (Action::TimepointsMove, Action::CATEGORY_WAYPOINT|Action::CATEGORY_ACTIVEPOINT)
| ACTION_SET_PRIORITY (Action::TimepointsMove, 0)
| ACTION_SET_VERSION (Action::TimepointsMove,"0.0")
| ACTION_SET_CVS_ID (Action::TimepointsMove,"$Id$")

## Detailed Description

Move the Time Points File.

$Id$

## Function Documentation

ACTION_INIT | ( | Action::TimepointsMove |  | ) |

ACTION_SET_NAME | ( | Action::TimepointsMove | ,
|  | "TimepointsMove" |  |
| ) |  |  |

ACTION_SET_LOCAL_NAME | ( | Action::TimepointsMove | ,
|  | N_("Move Time Points") |  |
| ) |  |  |

ACTION_SET_TASK | ( | Action::TimepointsMove | ,
|  | "move" |  |
| ) |  |  |

ACTION_SET_CATEGORY | ( | Action::TimepointsMove | ,
|  | Action::CATEGORY_WAYPOINT|Action::CATEGORY_ACTIVEPOINT |  |
| ) |  |  |

ACTION_SET_PRIORITY | ( | Action::TimepointsMove | ,
|  | 0 |  |
| ) |  |  |

ACTION_SET_VERSION | ( | Action::TimepointsMove | ,
|  | "0.0" |  |
| ) |  |  |

ACTION_SET_CVS_ID | ( | Action::TimepointsMove | ,
|  | "$Id$" |  |
| ) |  |  |